%define ifp_group ifp

Name: ifp-line
Version: 0.2.4.4
Release: alt1

Summary: Command-line tool for iRiver iFP flash player
License: GPL
Url: http://ifp-driver.sourceforge.net/
Group: Sound

Source: http://osdn.dl.sourceforge.net/sourceforge/ifp-driver/%name-%version.tar.gz

%define libusb_ver 0.1.7

Requires: libusb >= %libusb_ver
Requires: hotplug

BuildPreReq: libusb-devel >= %libusb_ver


%define hotplug_dir %_sysconfdir/hotplug
%define hotplug_usb_dir %hotplug_dir/usb
%define hotplug_usb_usermap %hotplug_dir/usb.usermap
%define hotplug_lib_dir %_libdir/hotplug

%description
Command line utility for your iRiver iFP flash player. Supports both
iFP-1xx and iFP-3xx series (with non-UMS or manager firmware). Features
included are: recursive upload/download, getting device status and
battery info, device format, firmware update etc.

To access iFP under a non-root account, add the user you want to access iFP
to the %ifp_group group.

%package mc
Summary: iRiver iFP virtual filesystem driver for Midnight Commander
Group: Sound
Requires: ifp-line, mc

%define mc_extfs_dir %_datadir/mc/extfs
%define mc_extfs_ini %mc_extfs_dir/extfs.ini

%description mc
This package provides an ability to use your iRiver iFP right from
Midnight Commander. Just type 'cd #ifp' from MC and here you are.

%prep
%setup -q

%build
%make_build

%install
%__mkdir_p %buildroot{%_bindir,%hotplug_usb_dir,%hotplug_lib_dir/ifp,%mc_extfs_dir}
%__install ifp %buildroot%_bindir

%__cat <<__EOF__ > %buildroot%hotplug_lib_dir/ifp/usb.usermap
ifpdev 0x0003 0x4102 0x1001 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
__EOF__

%__cat <<__EOF__ > ifpdev
#!/bin/sh

%__chgrp %ifp_group  \$DEVICE
%__chmod g+rw \$DEVICE
__EOF__

%__install ifpdev %buildroot%hotplug_usb_dir/

%__ln_s %_bindir/ifp %buildroot%mc_extfs_dir/ifp

%define ini_string # ifp: for iRiver iFP - added by ifp-line-mc\\nifp

%pre
%_sbindir/groupadd -r -f %ifp_group ||:

%post
%_sbindir/update-usb.usermap ||:

%postun
if [ "$1" = 0 ]; then
    %_sbindir/update-usb.usermap ||:
fi

%post mc
if [ -f %mc_extfs_ini ]; then
        %__grep -qs '^# ifp' %mc_extfs_ini ||
        echo -e '%ini_string' >> %mc_extfs_ini
fi

%preun mc
[ $1 = 0 ] || exit 0
if [ -f %mc_extfs_ini ]; then
	%__sed '
	/^# ifp/d
	/^ifp/d
		' < %mc_extfs_ini > %mc_extfs_ini.new
	%__mv %mc_extfs_ini.new %mc_extfs_ini
fi ||:

%files
%attr(4710,root,%ifp_group) %_bindir/ifp
%dir %hotplug_lib_dir/ifp
%hotplug_lib_dir/ifp/usb.usermap
%config %hotplug_usb_dir/ifpdev
%doc NEWS README

%files mc
%mc_extfs_dir/ifp

%changelog
* Thu Sep 23 2004 Sergey Ivanov <seriv@altlinux.ru> 0.2.4.4-alt1
- rebuild for 0.2.4.4

* Tue Oct 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- Adopted for Sisyphus.
- new version.

* Sat Jun  7 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-6
- a newer patch from Jun Yamashiro adding support for iFP-3xx series
- fixed description of main package

* Mon May  5 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-5
- a newer patch from Jun Yamashiro:
  - fixed a bug with mc added to previous released
  - improved upload/download progress display code
  - fixed Makefile to work with FreeBSD/pmake
- fixed the description of how to add users into ifp group

* Mon Apr 28 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-4
- added hooks to allow access to iFP non-root user
- a newer patch from Jun Yamashiro

* Fri Apr 25 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-3
- a newer fixed patch from Jun Yamashiro

* Fri Apr 25 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-2
- a newer consolidated patch from Jun Yamashiro, fixing recursive upload bug
- added a patch fixing firmware upload bug (bad filename checking)

* Thu Apr 24 2003 Kir Kolyshkin <kir@asplinux.ru> 0.1.1-1
- created spec file, applied two patches from Jun Yamashiro

